CVE-2020-26572

Name
CVE-2020-26572
Description
The TCOS smart card software driver in OpenSC before 0.21.0-rc1 has a stack-based buffer overflow in tcos_decipher.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Third Party Advisory https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=22967
Patch https://github.com/OpenSC/OpenSC/commit/9d294de90d1cc66956389856e60b6944b27b4817
MLIST http://www.openwall.com/lists/oss-security/2020/11/24/4
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/EXOHFDMNMO6IDECAGUTB3SJGAGXVRT6S/
Mailing List https://lists.debian.org/debian-lts-announce/2021/11/msg00027.html

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:opensc_project:opensc:*:*:*:*:*:*:*:* opensc >= None <= 0.20.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
opensc 3.13-community 0.21.0-r0 Timo Teräs <timo.teras@iki.fi> fixed
opensc 3.14-community 0.21.0-r0 Timo Teräs <timo.teras@iki.fi> fixed